> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update knowledge entry

> Update an existing knowledge entry.



## OpenAPI

````yaml /v1-openapi.yaml PUT /v1/knowledge/{note_id}
openapi: 3.1.0
info:
  description: Devin v1 API with Personal and Service API Keys
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/knowledge/{note_id}:
    put:
      summary: Update knowledge entry
      description: Update an existing knowledge entry.
      operationId: update_knowledge_v1_knowledge__note_id__put
      parameters:
        - in: path
          name: note_id
          required: true
          schema:
            title: Note Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateKnowledgeParams'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateKnowledgeParams:
      properties:
        body:
          title: Body
          type: string
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        name:
          title: Name
          type: string
        parent_folder_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Folder Id
        pinned_repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Pinned Repo
        trigger_description:
          title: Trigger Description
          type: string
      required:
        - name
        - body
        - trigger_description
      title: CreateKnowledgeParams
      type: object
    KnowledgeResponse:
      properties:
        body:
          title: Body
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          anyOf:
            - $ref: '#/components/schemas/KnowledgeCreatedBy'
            - type: 'null'
        id:
          title: Id
          type: string
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        name:
          title: Name
          type: string
        parent_folder_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Folder Id
        pinned_repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Pinned Repo
        trigger_description:
          title: Trigger Description
          type: string
      required:
        - name
        - body
        - trigger_description
        - id
        - created_at
      title: KnowledgeResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    KnowledgeCreatedBy:
      description: Information about who created a knowledge entry.
      properties:
        full_name:
          title: Full Name
          type: string
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
      required:
        - full_name
      title: KnowledgeCreatedBy
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) or Service API Key (apk_*)
      scheme: bearer
      type: http

````